Skip to main content
GET
/
v1
/
contexts
/
{contextId}
/
sources
/
{sourceId}
/
bindings
List source bindings
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}/bindings \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "contextId": "<string>",
      "createdAt": "<string>",
      "enabled": true,
      "format": "<string>",
      "id": "<string>",
      "scheduleSpec": "<string>",
      "sourceId": "<string>",
      "updatedAt": "<string>",
      "connectionId": "<string>",
      "transportConfig": {
        "host": "<string>",
        "connectOptions": {},
        "credentialRef": "<string>",
        "glob": "<string>",
        "path": "<string>",
        "port": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Path Parameters

contextId
string<uuid>
required

Context ID

sourceId
string<uuid>
required

Source ID

Response

OK

items
object[] | null
required
Maximum array length: 200